[workspace]
resolver = "3"
members = ["phono-*"]

[workspace.package]
edition = "2024"
license = "AGPL-3.0-or-later"
license-file = "LICENSE"
version = "0.0.1"

[workspace.dependencies]
anyhow = { version = "1.0.91", features = ["backtrace"] }
bigdecimal = { version = "0.4.9", features = ["serde-json"] }
chrono = { version = "0.4.41", features = ["serde"] }
derive_builder = "0.20.2"
futures = "0.3.31"
phono-backends = { path = "./phono-backends" }
phono-models = { path = "./phono-models" }
phono-namegen = { path = "./phono-namegen" }
phono-pestgros = { path = "./phono-pestgros" }
rand = "0.8.5"
redact = { version = "0.1.11", features = ["serde", "zeroize"] }
regex = "1.11.1"
reqwest = { version = "0.12.8", features = ["json"] }
serde = { version = "1.0.213", features = ["derive"] }
serde_json = "1.0.132"
sqlx = { version = "0.8.6", features = ["runtime-tokio", "tls-rustls-ring-native-roots", "postgres", "derive", "uuid", "chrono", "json", "macros", "bigdecimal"] }
strum = { version = "0.27.2", features = ["derive"] }
thiserror = "2.0.12"
tokio = { version = "1.42.0", features = ["full"] }
tracing = "0.1.40"
url = { version = "2.5.7", features = ["serde"] }
uuid = { version = "1.11.0", features = ["serde", "v4", "v7"] }
validator = { version = "0.20.0", features = ["derive"] }

[profile.dev]
# Skip generating debug info for ~10% faster dev builds.
debug = false
